[CRIU] [PATCH] zdtm.py: check restore when criu dump runs over a non-root user
Andrey Vagin
avagin at openvz.org
Wed Jun 15 15:04:42 PDT 2016
From: Andrew Vagin <avagin at virtuozzo.com>
Signed-off-by: Andrew Vagin <avagin at virtuozzo.com>
---
test/jenkins/criu-user.sh | 2 +-
test/zdtm.py | 5 ++++-
2 files changed, 5 insertions(+), 2 deletions(-)
diff --git a/test/jenkins/criu-user.sh b/test/jenkins/criu-user.sh
index f718e24..d89ede2 100755
--- a/test/jenkins/criu-user.sh
+++ b/test/jenkins/criu-user.sh
@@ -3,4 +3,4 @@ set -e
source `dirname $0`/criu-lib.sh
prep
mount_tmpfs_to_dump
-./test/zdtm.py run --all --keep-going --report report --parallel 4 --user --norst -x 'maps04' || fail
+./test/zdtm.py run --all --keep-going --report report --parallel 4 --user -x 'maps04' || fail
diff --git a/test/zdtm.py b/test/zdtm.py
index 98345a4..9454399 100755
--- a/test/zdtm.py
+++ b/test/zdtm.py
@@ -719,7 +719,10 @@ class criu_cli:
if self.__script:
s_args += ['--action-script', self.__script]
- preexec = self.__user and self.set_user_id or None
+ if action == "restore":
+ preexec = None
+ else:
+ preexec = self.__user and self.set_user_id or None
__ddir = self.__ddir()
--
2.7.4
More information about the CRIU
mailing list